सामग्री पर जाएँ

Video · Increase Resolution

इंटीग्रेट करें

मॉडल id bria/video/increase-resolution
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/video/increase-resolution?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $1.40 1,400 API क्रेडिट · ≈ ₽147.65 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Bria AI · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक video_url
फ़ाइल ड्रॉप करें, या

अपस्केलिंग के लिए वीडियो, जिसकी अवधि 30 सेकंड से कम और आयाम 7680 by 4320 से कम हों।

उन्नत desired_increase · output_container_and_codec · preserve_audio
desired_increase डिफ़ॉल्ट 2

`desired_increase` के लिए अपस्केलिंग गुणक, 2x या 4x के रूप में चुना गया।

डिफ़ॉल्ट webm_vp9

आउटपुट के लिए उपयोग किया जाने वाला कंटेनर और codec: mp4_h265, mp4_h264, webm_vp9, mov_h265, mov_proresks, mkv_h265, mkv_h264, mkv_vp9 या gif।

POST /run/bria/video/increase-resolution?wait=20 कोटेशन → $1.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/video/increase-resolution?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Video · Increase Resolution के बारे में

`video_url` के माध्यम से दिए गए वीडियो का रिज़ॉल्यूशन बढ़ाता है, जो 7680x4320 से कम और 30 सेकंड से छोटा होना चाहिए। `desired_increase` 2 या 4 होता है। आउटपुट को नौ कंटेनर और कोडेक संयोजनों में लिखा जा सकता है, जिसमें webm_vp9 डिफ़ॉल्ट है, और `preserve_audio` मूल ध्वनि बनाए रखता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
output_container_and_codecवैकल्पिक
प्रकारenum
डिफ़ॉल्टwebm_vp9
mp4_h265mp4_h264webm_vp9mov_h265mov_proresksmkv_h265mkv_h264mkv_vp9gif
आउटपुट के लिए उपयोग किया जाने वाला कंटेनर और codec: mp4_h265, mp4_h264, webm_vp9, mov_h265, mov_proresks, mkv_h265, mkv_h264, mkv_vp9 या gif।
preserve_audioवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
true होने पर आउटपुट वीडियो में ऑडियो बनाए रखना सक्षम होता है।
video_urlआवश्यक video
प्रकारurl · video
अपस्केलिंग के लिए वीडियो, जिसकी अवधि 30 सेकंड से कम और आयाम 7680 by 4320 से कम हों।
desired_increaseवैकल्पिक
प्रकारenum
डिफ़ॉल्ट2
24
`desired_increase` के लिए अपस्केलिंग गुणक, 2x या 4x के रूप में चुना गया।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/video/increase-resolution",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1400,
    "usd": "1.40",
    "charged": 1400,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}बैकग्राउंड और ऑडियो हटाने के बाद का वीडियो।

और मॉडल: अपस्केल

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/bria/video/increase-resolution.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt